package com.qmth.teachcloud.mark.bean.answerbatch;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class BatchCreateDomain {

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    @NotNull(message = "学号不能为空")
    @Size(min = 1, message = "学号不能为空")
    private List<String> studentCodes;
    
    @NotNull(message = "试卷编号不能为空")
    private String coursePaperId;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

	public List<String> getStudentCodes() {
		return studentCodes;
	}

	public void setStudentCodes(List<String> studentCodes) {
		this.studentCodes = studentCodes;
	}

	public String getCoursePaperId() {
		return coursePaperId;
	}

	public void setCoursePaperId(String coursePaperId) {
		this.coursePaperId = coursePaperId;
	}


}
